<?xml version="1.0"?>
<doc>
  <assembly>
    <name>GemBox.Pdf.Ocr</name>
  </assembly>
  <members>
    <member name="T:External.Tesseract.ImageFormat">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Unknown">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Bmp">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.JfifJpeg">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Png">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Tiff">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.TiffPackBits">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.TiffRle">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.TiffG3">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.TiffG4">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.TiffLzw">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.TifZip">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Pnm">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Ps">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Gif">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Jp2">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.WebP">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Lpdf">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Default">
      <exclude />
    </member>
    <member name="F:External.Tesseract.ImageFormat.Spix">
      <exclude />
    </member>
    <member name="T:External.Tesseract.Interop.ITessApiSignatures">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPIGetComponentImages(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel,System.Int32,System.IntPtr,System.IntPtr)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPIAnalyseLayout(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPIClear(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiCreate">
      <summary>
            Creates a new BaseAPI instance
            </summary>
      <returns>
      </returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiDelete(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Deletes a base api instance.
            </summary>
      <returns>
      </returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.TessBaseAPIDetectOrientationScript(System.Runtime.InteropServices.HandleRef,System.Int32@,System.Single@,System.IntPtr@,System.Single@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetBoolVariable(System.Runtime.InteropServices.HandleRef,System.String,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetDoubleVariable(System.Runtime.InteropServices.HandleRef,System.String,System.Double@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetHOCRTextInternal(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetAltoTextInternal(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetTsvTextInternal(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetBoxTextInternal(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetLSTMBoxTextInternal(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetWordStrBoxTextInternal(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetUNLVTextInternal(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetIntVariable(System.Runtime.InteropServices.HandleRef,System.String,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetIterator(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPIGetPageSegMode(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiGetStringVariableInternal(System.Runtime.InteropServices.HandleRef,System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPIGetThresholdedImage(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPISetInputName(System.Runtime.InteropServices.HandleRef,System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPIGetDatapath(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPISetOutputName(System.Runtime.InteropServices.HandleRef,System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPIGetUTF8TextInternal(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiInit(System.Runtime.InteropServices.HandleRef,System.String,System.String,System.Int32,System.String[],System.Int32,System.String[],System.String[],System.UIntPtr,System.Boolean)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPIMeanTextConf(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiRecognize(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiSetDebugVariable(System.Runtime.InteropServices.HandleRef,System.String,System.IntPtr)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiSetImage(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiSetInputName(System.Runtime.InteropServices.HandleRef,System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseAPISetPageSegMode(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageSegMode)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiSetRectangle(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiSetVariable(System.Runtime.InteropServices.HandleRef,System.String,System.IntPtr)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.DeleteIntArray(System.IntPtr)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.DeleteText(System.IntPtr)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.DeleteTextArray(System.IntPtr)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.GetVersion">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorBaseline(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel,System.Int32@,System.Int32@,System.Int32@,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorBegin(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorBlockType(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorBoundingBox(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel,System.Int32@,System.Int32@,System.Int32@,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorCopy(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorDelete(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorGetBinaryImage(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorGetImage(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel,System.Int32,System.Runtime.InteropServices.HandleRef,System.Int32@,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorIsAtBeginningOf(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorIsAtFinalElement(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel,External.Tesseract.PageIteratorLevel)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorNext(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PageIteratorOrientation(System.Runtime.InteropServices.HandleRef,External.Tesseract.Orientation@,External.Tesseract.WritingDirection@,External.Tesseract.TextLineOrder@,System.Single@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorCopy(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorDelete(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorGetConfidence(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorWordFontAttributes(System.Runtime.InteropServices.HandleRef,System.Boolean@,System.Boolean@,System.Boolean@,System.Boolean@,System.Boolean@,System.Boolean@,System.Int32@,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorWordIsFromDictionary(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorWordIsNumeric(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorWordRecognitionLanguageInternal(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorSymbolIsSuperscript(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorSymbolIsSubscript(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorSymbolIsDropcap(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorGetPageIterator(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorGetUTF8TextInternal(System.Runtime.InteropServices.HandleRef,External.Tesseract.PageIteratorLevel)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultIteratorGetChoiceIterator(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Native API call to TessResultIteratorGetChoiceIterator
            </summary>
      <param name="handle">
      </param>
      <returns>
      </returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ChoiceIteratorDelete(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Native API call to TessChoiceIteratorDelete
            </summary>
      <param name="handle">
      </param>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ChoiceIteratorNext(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Native API call to TessChoiceIteratorNext
            </summary>
      <param name="handle">
      </param>
      <returns>
      </returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ChoiceIteratorGetUTF8TextInternal(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Native API call to TessChoiceIteratorGetUTF8Text
            </summary>
      <param name="handle">
      </param>
      <returns>
      </returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ChoiceIteratorGetConfidence(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Native API call to TessChoiceIteratorConfidence
            </summary>
      <param name="handle">
      </param>
      <returns>
      </returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BaseApiPrintVariablesToFile(System.Runtime.InteropServices.HandleRef,System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.TextRendererCreate(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.AltoRendererCreate(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.TsvRendererCreate(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.HOcrRendererCreate(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.HOcrRendererCreate2(System.String,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.PDFRendererCreate(System.String,System.IntPtr,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.UnlvRendererCreate(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.BoxTextRendererCreate(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.LSTMBoxRendererCreate(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.WordStrBoxRendererCreate(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.DeleteResultRenderer(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultRendererInsert(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultRendererNext(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultRendererBeginDocument(System.Runtime.InteropServices.HandleRef,System.IntPtr)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultRendererAddImage(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultRendererEndDocument(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultRendererExtention(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultRendererTitle(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ITessApiSignatures.ResultRendererImageNum(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="T:External.Tesseract.Interop.ILeptonicaApiSignatures">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixaReadMultipageTiff(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixaCreate(System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixaAddPix(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,External.Tesseract.PixArrayAccessType)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixaGetPix(System.Runtime.InteropServices.HandleRef,System.Int32,External.Tesseract.PixArrayAccessType)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixaRemovePix(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixaClear(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixaGetCount(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixaDestroy(System.IntPtr@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixCreate(System.Int32,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixClone(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixDestroy(System.IntPtr@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixEqual(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetWidth(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetHeight(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetDepth(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetXRes(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetYRes(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetResolution(System.Runtime.InteropServices.HandleRef,System.Int32@,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetWpl(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixSetXRes(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixSetYRes(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixSetResolution(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixScaleResolution(System.Runtime.InteropServices.HandleRef,System.Single,System.Single)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetData(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetInputFormat(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixSetInputFormat(System.Runtime.InteropServices.HandleRef,External.Tesseract.ImageFormat)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixEndianByteSwap(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixRead(System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixReadMem(System.Byte*,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixReadMemTiff(System.Byte*,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixWrite(System.String,System.Runtime.InteropServices.HandleRef,External.Tesseract.ImageFormat)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixDisplayWrite(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGetColormap(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixSetColormap(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixDestroyColormap(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixConvertRGBToGray(System.Runtime.InteropServices.HandleRef,System.Single,System.Single,System.Single)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixDeskewGeneral(System.Runtime.InteropServices.HandleRef,System.Int32,System.Single,System.Single,System.Int32,System.Int32,System.Single@,System.Single@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixFindSkew(System.Runtime.InteropServices.HandleRef,System.Single@,System.Single@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixRotate(System.Runtime.InteropServices.HandleRef,System.Single,External.Tesseract.RotationMethod,External.Tesseract.RotationFill,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixRotateOrth(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixRotateAMGray(System.Runtime.InteropServices.HandleRef,System.Single,System.Byte)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixRotate90(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixCloseGray(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixErodeGray(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixAddGray(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixOpenGray(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixCombineMasked(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixThresholdToValue(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixThresholdToBinary(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixInvert(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixBackgroundNormFlex(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixGammaTRCMasked(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,System.Single,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixHMT(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixDilate(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixSubtract(System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef,System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.selCreateFromString(System.String,System.Int32,System.Int32,System.String)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.selCreateBrick(System.Int32,System.Int32,System.Int32,System.Int32,External.Tesseract.SelType)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.selDestroy(System.IntPtr@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixOtsuAdaptiveThreshold(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32,System.Int32,System.Single,System.IntPtr@,System.IntPtr@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixSauvolaBinarize(System.Runtime.InteropServices.HandleRef,System.Int32,System.Single,System.Int32,System.IntPtr@,System.IntPtr@,System.IntPtr@,System.IntPtr@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixSauvolaBinarizeTiled(System.Runtime.InteropServices.HandleRef,System.Int32,System.Single,System.Int32,System.Int32,System.IntPtr@,System.IntPtr@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixScale(System.Runtime.InteropServices.HandleRef,System.Single,System.Single)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapCreate(System.Int32)">
      <summary>
            Creates a new colormap with the specified <paramref name="depth" />.
            </summary>
      <param name="depth">The depth of the pix in bpp, can be 2, 4, or 8</param>
      <returns>The pointer to the color map, or null on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapCreateRandom(System.Int32,System.Int32,System.Int32)">
      <summary>
            Creates a new colormap of the specified <paramref name="depth" /> with random colors where the first color can optionally be set to black, and the last optionally set to white.
            </summary>
      <param name="depth">The depth of the pix in bpp, can be 2, 4, or 8</param>
      <param name="hasBlack">If set to 1 the first color will be black.</param>
      <param name="hasWhite">If set to 1 the last color will be white.</param>
      <returns>The pointer to the color map, or null on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapCreateLinear(System.Int32,System.Int32)">
      <summary>
            Creates a new colormap of the specified <paramref name="depth" /> with equally spaced gray color values.
            </summary>
      <param name="depth">The depth of the pix in bpp, can be 2, 4, or 8</param>
      <param name="levels">The number of levels (must be between 2 and 2^<paramref name="depth" /></param>
      <returns>The pointer to the colormap, or null on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapCopy(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Performs a deep copy of the color map.
            </summary>
      <param name="cmaps">The pointer to the colormap instance.</param>
      <returns>The pointer to the colormap, or null on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapDestroy(System.IntPtr@)">
      <summary>
            Destorys and cleans up any memory used by the color map.
            </summary>
      <param name="cmap">The pointer to the colormap instance, set to null on success.</param>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetCount(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Gets the number of color entries in the color map.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <returns>Returns the number of color entries in the color map, or 0 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetFreeCount(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Gets the number of free color entries in the color map.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <returns>Returns the number of free color entries in the color map, or 0 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetDepth(System.Runtime.InteropServices.HandleRef)">
      <returns>Returns color maps depth, or 0 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetMinDepth(System.Runtime.InteropServices.HandleRef,System.Int32@)">
      <summary>
            Gets the minimum pix depth required to support the color map.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <param name="minDepth">Returns the minimum depth to support the colormap</param>
      <returns>Returns 0 if OK, 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapClear(System.Runtime.InteropServices.HandleRef)">
      <summary>
            Removes all colors from the color map by setting the count to zero.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <returns>Returns 0 if OK, 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapAddColor(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32)">
      <summary>
            Adds the color to the pix color map if their is room.
            </summary>
      <returns>Returns 0 if OK, 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapAddNewColor(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32,System.Int32@)">
      <summary>
            Adds the specified color if it doesn't already exist, returning the colors index in the data array.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <param name="redValue">The red value</param>
      <param name="greenValue">The green value</param>
      <param name="blueValue">The blue value</param>
      <param name="colorIndex">The index of the new color if it was added, or the existing color if it already existed.</param>
      <returns>Returns 0 for success, 1 for error, 2 for not enough space.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapAddNearestColor(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32,System.Int32@)">
      <summary>
            Adds the specified color if it doesn't already exist, returning the color's index in the data array.
            </summary>
      <remarks>
            If the color doesn't exist and there is not enough room to add a new color return the nearest color.
            </remarks>
      <param name="cmap">The pointer to the colormap instance.</param>
      <param name="redValue">The red value</param>
      <param name="greenValue">The green value</param>
      <param name="blueValue">The blue value</param>
      <param name="colorIndex">The index of the new color if it was added, or the existing color if it already existed.</param>
      <returns>Returns 0 for success, 1 for error, 2 for not enough space.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapUsableColor(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32,System.Int32@)">
      <summary>
            Checks if the color already exists or if their is enough room to add it.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <param name="redValue">The red value</param>
      <param name="greenValue">The green value</param>
      <param name="blueValue">The blue value</param>
      <param name="usable">Returns 1 if usable; 0 if not.</param>
      <returns>Returns 0 if OK, 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapAddBlackOrWhite(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32@)">
      <summary>
            Adds a color (black\white) if not already there returning it's index through <paramref name="index" />.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <param name="color">The color to add (0 for black; 1 for white)</param>
      <param name="index">The index of the color.</param>
      <returns>Returns 0 if OK; 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapSetBlackAndWhite(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32)">
      <summary>
            Sets the darkest color in the colormap to black, if <paramref name="setBlack" /> is 1.
            Sets the lightest color in the colormap to white if <paramref name="setWhite" /> is 1.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <param name="setBlack">0 for no operation; 1 to set darket color to black</param>
      <param name="setWhite">0 for no operation; 1 to set lightest color to white</param>
      <returns>Returns 0 if OK; 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetColor(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32@,System.Int32@,System.Int32@)">
      <summary>
            Gets the color at the specified index.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <param name="index">The index of the color entry.</param>
      <param name="redValue">The color entry's red value.</param>
      <param name="blueValue">The color entry's blue value.</param>
      <param name="greenValue">The color entry's green value.</param>
      <returns>Returns 0 if OK; 1 if not accessable (caller should check).</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetColor32(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32@)">
      <summary>
            Gets the color at the specified index.
            </summary>
      <remarks>
            The alpha channel will always be zero as it is not used in Leptonica color maps.
            </remarks>
      <param name="cmap">The pointer to the colormap instance.</param>
      <param name="index">The index of the color entry.</param>
      <param name="color">The color entry as 32 bit value</param>
      <returns>Returns 0 if OK; 1 if not accessable (caller should check).</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapResetColor(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32,System.Int32)">
      <summary>
            Sets a previously allocated color entry.
            </summary>
      <param name="cmap">The pointer to the colormap instance.</param>
      <param name="index">The index of the colormap entry</param>
      <param name="redValue">
      </param>
      <param name="blueValue">
      </param>
      <param name="greenValue">
      </param>
      <returns>Returns 0 if OK; 1 if not accessable (caller should check).</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetIndex(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32,System.Int32@)">
      <summary>
            Gets the index of the color entry with the specified color, return 0 if found; 1 if not.
            </summary>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapHasColor(System.Runtime.InteropServices.HandleRef,System.Int32)">
      <summary>
            Returns 0 if the color exists in the color map; otherwise 1.
            </summary>
      <returns>Returns 0 if OK; 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapCountGrayColors(System.Runtime.InteropServices.HandleRef,System.Int32@)">
      <summary>
            Returns the number of unique grey colors including black and white.
            </summary>
      <returns>Returns 0 if OK; 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetRankIntensity(System.Runtime.InteropServices.HandleRef,System.Single,System.Int32@)">
      <summary>
            Finds the index of the color entry with the rank intensity.
            </summary>
      <returns>Returns 0 if OK; 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetNearestIndex(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32,System.Int32,System.Int32@)">
      <summary>
            Finds the index of the color entry closest to the specified color.
            </summary>
      <returns>Returns 0 if OK; 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGetNearestGrayIndex(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32@)">
      <summary>
            Finds the index of the color entry closest to the specified color.
            </summary>
      <remarks>
            Should only be used on gray colormaps.
            </remarks>
      <returns>Returns 0 if OK; 1 on error.</returns>
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGrayToColor(System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapColorToGray(System.Runtime.InteropServices.HandleRef,System.Single,System.Single,System.Single)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapToArrays(System.Runtime.InteropServices.HandleRef,System.IntPtr@,System.IntPtr@,System.IntPtr@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapToRGBTable(System.Runtime.InteropServices.HandleRef,System.IntPtr@,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapSerializeToMemory(System.Runtime.InteropServices.HandleRef,System.Int32@,System.Int32@,System.IntPtr@,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapDeserializeFromMemory(System.Runtime.InteropServices.HandleRef,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapGammaTRC(System.Runtime.InteropServices.HandleRef,System.Single,System.Int32,System.Int32)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapContrastTRC(System.Runtime.InteropServices.HandleRef,System.Single)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.pixcmapShiftIntensity(System.Runtime.InteropServices.HandleRef,System.Single)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.boxaGetCount(System.Runtime.InteropServices.HandleRef)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.boxaGetBox(System.Runtime.InteropServices.HandleRef,System.Int32,External.Tesseract.PixArrayAccessType)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.boxGetGeometry(System.Runtime.InteropServices.HandleRef,System.Int32@,System.Int32@,System.Int32@,System.Int32@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.boxDestroy(System.IntPtr@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.boxaDestroy(System.IntPtr@)">
      <exclude />
    </member>
    <member name="M:External.Tesseract.Interop.ILeptonicaApiSignatures.setMsgSeverity(System.Int32)">
      <exclude />
    </member>
    <member name="T:External.Tesseract.Orientation">
      <exclude />
    </member>
    <member name="F:External.Tesseract.Orientation.PageUp">
      <summary>
            Page is correctly alligned with up and no rotation is needed.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.Orientation.PageRight">
      <summary>
            Page needs to be rotated so the right hand side is up, 90 degress counter clockwise, to be readable.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.Orientation.PageDown">
      <summary>
            Page needs to be rotated so the bottom side is up, 180 degress counter clockwise, to be readable.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.Orientation.PageLeft">
      <summary>
            Page needs to be rotated so the left hand side is up, 90 degress clockwise, to be readable.
            </summary>
      <exclude />
    </member>
    <member name="T:External.Tesseract.PageIteratorLevel">
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageIteratorLevel.Block">
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageIteratorLevel.Para">
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageIteratorLevel.TextLine">
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageIteratorLevel.Word">
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageIteratorLevel.Symbol">
      <exclude />
    </member>
    <member name="T:External.Tesseract.PageSegMode">
      <summary>
            Represents the possible page layou analysis modes.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.OsdOnly">
      <summary>
            Orientation and script detection (OSD) only.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.AutoOsd">
      <summary>
            Automatic page sementation with orientantion and script detection (OSD).
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.AutoOnly">
      <summary>
            Automatic page segmentation, but no OSD, or OCR.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.Auto">
      <summary>
            Fully automatic page segmentation, but no OSD.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.SingleColumn">
      <summary>
            Assume a single column of text of variable sizes.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.SingleBlockVertText">
      <summary>
            Assume a single uniform block of vertically aligned text.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.SingleBlock">
      <summary>
            Assume a single uniform block of text.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.SingleLine">
      <summary>
            Treat the image as a single text line.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.SingleWord">
      <summary>
            Treat the image as a single word.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.CircleWord">
      <summary>
            Treat the image as a single word in a circle.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.SingleChar">
      <summary>
            Treat the image as a single character.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.SparseText">
      <summary>
      </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.SparseTextOsd">
      <summary>
            Sparse text with orientation and script detection.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.RawLine">
      <summary>
            Treat the image as a single text line, bypassing hacks that are
            specific to Tesseract.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PageSegMode.Count">
      <summary>
            Number of enum entries.
            </summary>
      <exclude />
    </member>
    <member name="T:External.Tesseract.PixArrayAccessType">
      <exclude />
    </member>
    <member name="F:External.Tesseract.PixArrayAccessType.Insert">
      <summary>
            Stuff it in; no copy, clone or copy-clone.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PixArrayAccessType.Copy">
      <summary>
            Make/use a copy of the object.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PixArrayAccessType.Clone">
      <summary>
            Make/use clone (ref count) of the object
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PixArrayAccessType.CopyClone">
      <summary>
            Make a new object and fill with with clones of each object in the array(s)
            </summary>
      <exclude />
    </member>
    <member name="T:External.Tesseract.PolyBlockType">
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.Unknown">
      <summary>
            The type is not known yet, keep as first element.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.FlowingText">
      <summary>
            The text is inside a column.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.HeadingText">
      <summary>
            The text spans more than one column.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.PullOutText">
      <summary>
            The text is in a cross-column pull-out region.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.Equation">
      <summary>
            The partion belongs to an equation region..
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.InlineEquation">
      <summary>
            The partion has an inline equation.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.Table">
      <summary>
            The partion belongs to a Table region.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.VerticalText">
      <summary>
            Text line runs vertically.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.CaptionText">
      <summary>
            Text that belongs to an image.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.FlowingImage">
      <summary>
            Image that lives inside a column.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.HeadingImage">
      <summary>
            Image that spans more than one column.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.PullOutImage">
      <summary>
            Image that is in a cross-column pull-out region.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.HorizontalLine">
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.VerticalLine">
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.Noise">
      <summary>
            Lies outside any column.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.PolyBlockType.Count">
      <exclude />
    </member>
    <member name="T:External.Tesseract.RotationFill">
      <exclude />
    </member>
    <member name="F:External.Tesseract.RotationFill.White">
      <summary>
            Bring in white pixels from the outside.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.RotationFill.Black">
      <summary>
            Bring in black pixels from the outside.
            </summary>
      <exclude />
    </member>
    <member name="T:External.Tesseract.RotationMethod">
      <exclude />
    </member>
    <member name="F:External.Tesseract.RotationMethod.AreaMap">
      <summary>
            Use area map rotation, if possible.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.RotationMethod.Shear">
      <summary>
            Use shear rotation.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.RotationMethod.Sampling">
      <summary>
            Use sampling.
            </summary>
      <exclude />
    </member>
    <member name="T:External.Tesseract.SelType">
      <exclude />
    </member>
    <member name="F:External.Tesseract.SelType.SEL_DONT_CARE">
      <exclude />
    </member>
    <member name="F:External.Tesseract.SelType.SEL_HIT">
      <exclude />
    </member>
    <member name="F:External.Tesseract.SelType.SEL_MISS">
      <exclude />
    </member>
    <member name="T:External.Tesseract.TextLineOrder">
      <summary>
            The text lines are read in the given sequence.
            </summary>
      <remarks>
        <para>
            For example in English the order is top-to-bottom. Chinese vertical text lines
            are read right-to-left. While Mongolian is written in vertical columns
            like Chinese but read left-to-right.
            </para>
        <para>
            Note that only some combinations makes sense for example <see cref="F:External.Tesseract.WritingDirection.LeftToRight" /> implies
            <see cref="F:External.Tesseract.TextLineOrder.TopToBottom" />.
            </para>
      </remarks>
      <exclude />
    </member>
    <member name="F:External.Tesseract.TextLineOrder.LeftToRight">
      <summary>
            The text lines form vertical columns ordered left to right.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.TextLineOrder.RightToLeft">
      <summary>
            The text lines form vertical columns ordered right to left.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.TextLineOrder.TopToBottom">
      <summary>
            The text lines form horizontal columns ordered top to bottom.
            </summary>
      <exclude />
    </member>
    <member name="T:External.Tesseract.WritingDirection">
      <summary>
            The grapheme cluster within a line of text are laid out logically in this direction,
            judged when looking at the text line rotated so that Orientation is "page up".
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.WritingDirection.LeftToRight">
      <summary>
            The text line from the left hand side to the right hand side when the page is rotated so it's orientation is <see cref="F:External.Tesseract.Orientation.PageUp" />.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.WritingDirection.RightToLeft">
      <summary>
            The text line from the right hand side to the left hand side when the page is rotated so it's orientation is <see cref="F:External.Tesseract.Orientation.PageUp" />.
            </summary>
      <exclude />
    </member>
    <member name="F:External.Tesseract.WritingDirection.TopToBottom">
      <summary>
            The text line from the top to the bottom of the page when the page is rotated so it's orientation is <see cref="F:External.Tesseract.Orientation.PageUp" />.
            </summary>
      <exclude />
    </member>
    <member name="T:External.InteropDotNet.LibraryLoader">
      <exclude />
    </member>
    <member name="P:External.InteropDotNet.LibraryLoader.CustomSearchPath">
      <exclude />
    </member>
    <member name="M:External.InteropDotNet.LibraryLoader.LoadLibrary(System.String,System.String)">
      <exclude />
    </member>
    <member name="M:External.InteropDotNet.LibraryLoader.FreeLibrary(System.String)">
      <exclude />
    </member>
    <member name="M:External.InteropDotNet.LibraryLoader.GetProcAddress(System.IntPtr,System.String)">
      <exclude />
    </member>
    <member name="M:External.InteropDotNet.LibraryLoader.IsLibraryLoaded(System.String)">
      <exclude />
    </member>
    <member name="P:External.InteropDotNet.LibraryLoader.Instance">
      <exclude />
    </member>
    <member name="T:GemBox.Pdf.Ocr.OcrException">
      <summary>
            Represents errors that can occur when performing optical character recognition.
            </summary>
    </member>
    <member name="T:GemBox.Pdf.Ocr.OcrLanguages">
      <summary>
            Defines all languages and scripts which can be used for optical character recognition.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Afrikaans">
      <summary>
            Afrikaans language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Amharic">
      <summary>
            Amharic language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Arabic">
      <summary>
            Arabic language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Assamese">
      <summary>
            Assamese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Azerbaijani">
      <summary>
            Azerbaijani language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.AzerbaijaniCyrilic">
      <summary>
            Azerbaijani - Cyrilic language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Belarusian">
      <summary>
            Belarusian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Bengali">
      <summary>
            Bengali language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Tibetan">
      <summary>
            Tibetan language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Bosnian">
      <summary>
            Bosnian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Breton">
      <summary>
            Breton language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Bulgarian">
      <summary>
            Bulgarian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Catalan">
      <summary>
            Catalan; Valencian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Cebuano">
      <summary>
            Cebuano language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Czech">
      <summary>
            Czech language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.ChineseSimplified">
      <summary>
            Chinese - Simplified language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.ChineseTraditional">
      <summary>
            Chinese - Traditional language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Cherokee">
      <summary>
            Cherokee language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Corsican">
      <summary>
            Corsican language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Welsh">
      <summary>
            Welsh language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Danish">
      <summary>
            Danish language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.German">
      <summary>
            German language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Dzongkha">
      <summary>
            Dzongkha language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Greek">
      <summary>
            Greek, Modern (1453-) language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.English">
      <summary>
            English language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.MiddleEnglish">
      <summary>
            English, Middle (1100-1500) language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Esperanto">
      <summary>
            Esperanto language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Math">
      <summary>
            Math / equation detection module language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Estonian">
      <summary>
            Estonian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Basque">
      <summary>
            Basque language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Faroese">
      <summary>
            Faroese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Persian">
      <summary>
            Persian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.FilipinoTagalog">
      <summary>
            Filipino (old - Tagalog) language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Finnish">
      <summary>
            Finnish language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.French">
      <summary>
            French language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.GermanFraktur">
      <summary>
            German - Fraktur language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.MiddleFrench">
      <summary>
            French, Middle (ca.1400-1600) language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.WesternFrisian">
      <summary>
            Western Frisian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.ScottishGaelic">
      <summary>
            Scottish Gaelic language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Irish">
      <summary>
            Irish language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Galician">
      <summary>
            Galician language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.GreekAncient">
      <summary>
            Greek, Ancient (to 1453) language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Gujarati">
      <summary>
            Gujarati language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Haitian">
      <summary>
            Haitian; Haitian Creole language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Hebrew">
      <summary>
            Hebrew language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Hindi">
      <summary>
            Hindi language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Croatian">
      <summary>
            Croatian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Hungarian">
      <summary>
            Hungarian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Armenian">
      <summary>
            Armenian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Inuktitut">
      <summary>
            Inuktitut language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Indonesian">
      <summary>
            Indonesian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Icelandic">
      <summary>
            Icelandic language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Italian">
      <summary>
            Italian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.ItalianOld">
      <summary>
            Italian - Old language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Javanese">
      <summary>
            Javanese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Japanese">
      <summary>
            Japanese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Kannada">
      <summary>
            Kannada language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Georgian">
      <summary>
            Georgian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.GeorgianOld">
      <summary>
            Georgian - Old language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Kazakh">
      <summary>
            Kazakh language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.CentralKhmer">
      <summary>
            Central Khmer language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Kirghiz">
      <summary>
            Kirghiz; Kyrgyz language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Kurmanji">
      <summary>
            Kurmanji (Kurdish - Latin Script) language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Korean">
      <summary>
            Korean language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.KoreanVertical">
      <summary>
            Korean (vertical) language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Lao">
      <summary>
            Lao language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Latin">
      <summary>
            Latin language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Latvian">
      <summary>
            Latvian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Lithuanian">
      <summary>
            Lithuanian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Luxembourgish">
      <summary>
            Luxembourgish language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Malayalam">
      <summary>
            Malayalam language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Marathi">
      <summary>
            Marathi language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Macedonian">
      <summary>
            Macedonian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Maltese">
      <summary>
            Maltese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Mongolian">
      <summary>
            Mongolian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Maori">
      <summary>
            Maori language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Malay">
      <summary>
            Malay language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Burmese">
      <summary>
            Burmese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Nepali">
      <summary>
            Nepali language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Dutch">
      <summary>
            Dutch; Flemish language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Norwegian">
      <summary>
            Norwegian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Occitan">
      <summary>
            Occitan (post 1500) language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Oriya">
      <summary>
            Oriya language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Punjabi">
      <summary>
            Panjabi; Punjabi language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Polish">
      <summary>
            Polish language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Portuguese">
      <summary>
            Portuguese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Pashto">
      <summary>
            Pushto; Pashto language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Quechua">
      <summary>
            Quechua language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Romanian">
      <summary>
            Romanian; Moldavian; Moldovan language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Russian">
      <summary>
            Russian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Sanskrit">
      <summary>
            Sanskrit language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Sinhala">
      <summary>
            Sinhala; Sinhalese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Slovak">
      <summary>
            Slovak language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Slovenian">
      <summary>
            Slovenian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Sindhi">
      <summary>
            Sindhi language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Spanish">
      <summary>
            Spanish; Castilian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.SpanishOld">
      <summary>
            Spanish; Castilian - Old language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Albanian">
      <summary>
            Albanian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Serbian">
      <summary>
            Serbian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.SerbianLatin">
      <summary>
            Serbian - Latin language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Sundanese">
      <summary>
            Sundanese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Swahili">
      <summary>
            Swahili language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Swedish">
      <summary>
            Swedish language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Syriac">
      <summary>
            Syriac language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Tamil">
      <summary>
            Tamil language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Tatar">
      <summary>
            Tatar language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Telugu">
      <summary>
            Telugu language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Tajik">
      <summary>
            Tajik language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Thai">
      <summary>
            Thai language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Tigrinya">
      <summary>
            Tigrinya language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Tonga">
      <summary>
            Tonga language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Turkish">
      <summary>
            Turkish language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Uighur">
      <summary>
            Uighur; Uyghur language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Ukrainian">
      <summary>
            Ukrainian language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Urdu">
      <summary>
            Urdu language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Uzbek">
      <summary>
            Uzbek language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.UzbekCyrilic">
      <summary>
            Uzbek - Cyrilic language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Vietnamese">
      <summary>
            Vietnamese language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Yiddish">
      <summary>
            Yiddish language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.Yoruba">
      <summary>
            Yoruba language.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.ArabicScript">
      <summary>
            Arabic script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.ArmenianScript">
      <summary>
            Armenian script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.BengaliScript">
      <summary>
            Bengali script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.CanadianAboriginalScript">
      <summary>
            Canadian Aboriginal script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.CherokeeScript">
      <summary>
            Cherokee script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.CyrillicScript">
      <summary>
            Cyrillic script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.DevanagariScript">
      <summary>
            Devanagari script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.EthiopicScript">
      <summary>
            Ethiopic script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.FrakturScript">
      <summary>
            Fraktur script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.GeorgianScript">
      <summary>
            Georgian script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.GreekScript">
      <summary>
            Greek script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.GujaratiScript">
      <summary>
            Gujarati script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.GurmukhiScript">
      <summary>
            Gurmukhi script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.HanSimplifiedScript">
      <summary>
            Han simplified script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.HanSimplifiedVerticalScript">
      <summary>
            Han simplified vertical script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.HanTraditionalScript">
      <summary>
            Han traditional script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.HanTraditionalVerticalScript">
      <summary>
            Han traditional vertical script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.HangulScript">
      <summary>
            Hangul script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.HangulVerticalScript">
      <summary>
            Hangul vertical script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.HebrewScript">
      <summary>
            Hebrew script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.JapaneseScript">
      <summary>
            Japanese script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.JapaneseVerticalScript">
      <summary>
            Japanese vertical script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.KannadaScript">
      <summary>
            Kannada script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.KhmerScript">
      <summary>
            Khmer script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.LaoScript">
      <summary>
            Lao script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.LatinScript">
      <summary>
            Latin script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.MalayalamScript">
      <summary>
            Malayalam script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.MyanmarScript">
      <summary>
            Myanmar script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.OdiaScript">
      <summary>
            Oriya(Odia) script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.SinhalaScript">
      <summary>
            Sinhala script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.SyriacScript">
      <summary>
            Syriac script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.TamilScript">
      <summary>
            Tamil script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.TeluguScript">
      <summary>
            Telugu script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.ThaanaScript">
      <summary>
            Thaana script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.ThaiScript">
      <summary>
            Thai script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.TibetanScript">
      <summary>
            Tibetan script.
            </summary>
    </member>
    <member name="F:GemBox.Pdf.Ocr.OcrLanguages.VietnameseScript">
      <summary>
            Vietnamese script.
            </summary>
    </member>
    <member name="T:GemBox.Pdf.Ocr.OcrReader">
      <summary>
            Represents a class that performs optical character recognition.
            </summary>
    </member>
    <member name="M:GemBox.Pdf.Ocr.OcrReader.Read(System.String)">
      <summary>
            Performs optical character recognition on a file with the specified path, the path can point to a PDF or an image file.
            </summary>
      <param name="path">The file path to a PDF or an image.</param>
      <returns>
        <see cref="T:GemBox.Pdf.PdfDocument" /> with the recognized text.</returns>
      <exception cref="T:System.ArgumentNullException">
        <paramref name="path" /> is <see langword="null" />.</exception>
    </member>
    <member name="M:GemBox.Pdf.Ocr.OcrReader.Read(System.String,GemBox.Pdf.Ocr.OcrReadOptions)">
      <summary>
            Performs optical character recognition on a file with the specified path, the path can point to a PDF or an image file.
            </summary>
      <param name="path">The file path to a PDF or an image.</param>
      <param name="readOptions">The reading options which can be used to define settings for OCR.</param>
      <returns>
        <see cref="T:GemBox.Pdf.PdfDocument" /> with the recognized text.</returns>
      <exception cref="T:System.ArgumentNullException">
        <paramref name="path" /> is <see langword="null" />.</exception>
    </member>
    <member name="M:GemBox.Pdf.Ocr.OcrReader.Read(System.IO.Stream)">
      <summary>
            Performs optical character recognition on a file in the stream, the stream can be from a PDF or an image file.
            </summary>
      <param name="stream">The file stream from a PDF or an image.</param>
      <returns>
        <see cref="T:GemBox.Pdf.PdfDocument" /> with the recognized text.</returns>
      <exception cref="T:System.ArgumentNullException">
        <paramref name="stream" /> is <see langword="null" />.</exception>
    </member>
    <member name="M:GemBox.Pdf.Ocr.OcrReader.Read(System.IO.Stream,GemBox.Pdf.Ocr.OcrReadOptions)">
      <summary>
            Performs optical character recognition on a file in the stream, the stream can be from a PDF or an image file.
            </summary>
      <param name="stream">The file stream from a PDF or an image.</param>
      <param name="readOptions">The reading options which can be used to define settings for OCR.</param>
      <returns>
        <see cref="T:GemBox.Pdf.PdfDocument" /> with the recognized text.</returns>
      <exception cref="T:System.ArgumentNullException">
        <paramref name="stream" /> is <see langword="null" />.</exception>
    </member>
    <member name="M:GemBox.Pdf.Ocr.OcrReader.Read(GemBox.Pdf.PdfDocument)">
      <summary>
            Performs optical character recognition on a PDF document.
            </summary>
      <param name="document">The stream with an image.</param>
      <returns>
        <see cref="T:GemBox.Pdf.PdfDocument" /> with the recognized text.</returns>
      <remarks>
            This method creates a new <see cref="T:GemBox.Pdf.PdfDocument" /> and doesn't modify the original document.
            </remarks>
    </member>
    <member name="M:GemBox.Pdf.Ocr.OcrReader.Read(GemBox.Pdf.PdfDocument,GemBox.Pdf.Ocr.OcrReadOptions)">
      <summary>
            Performs optical character recognition on a PDF document.
            </summary>
      <param name="document">The stream with an image.</param>
      <param name="readOptions">The reading options which can be used to define settings for OCR.</param>
      <returns>
        <see cref="T:GemBox.Pdf.PdfDocument" /> with the recognized text.</returns>
      <exception cref="T:System.ArgumentNullException">
        <paramref name="document" /> is <see langword="null" />.</exception>
      <remarks>
            This method creates a new <see cref="T:GemBox.Pdf.PdfDocument" /> and doesn't modify the original document.
            </remarks>
    </member>
    <member name="T:GemBox.Pdf.Ocr.OcrReadOptions">
      <summary>
            Represents options for performing optical character recognition.
            </summary>
    </member>
    <member name="P:GemBox.Pdf.Ocr.OcrReadOptions.Languages">
      <summary>
        <para>Gets or sets the languages which should be used to recognize text.</para>
      </summary>
      <value>
            The languages which should be used to recognize text.
            </value>
      <remarks>
            The values of this property need to match a data files in <see cref="P:GemBox.Pdf.Ocr.OcrReadOptions.TesseractDataPath" />.
            If the list is empty, English is used as a default language.
            </remarks>
      <seealso href="https://www.gemboxsoftware.com/pdf/docs/ocr.html#language-data" />
    </member>
    <member name="P:GemBox.Pdf.Ocr.OcrReadOptions.LibraryPath">
      <summary>
            Gets or sets the path to the directory that contains tesseract and leptonica libraries.
            </summary>
      <value>
            The path to the directory which contains tesseract and leptonica libraries.
            </value>
      <remarks>
        <p>If this property is not set, these locations are searched:</p>
        <ul>
          <li>Assembly.GetExecutingAssembly().Location</li>
          <li>AppDomain.CurrentDomain.BaseDirectory</li>
          <li>Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "bin")</li>
          <li>Environment.CurrentDirectory</li>
        </ul>
        <p>The path should point to the directory that contains x64 and x86 folders and not inside the x64 or x86 folder itself.</p>
      </remarks>
    </member>
    <member name="P:GemBox.Pdf.Ocr.OcrReadOptions.TesseractDataPath">
      <summary>
            Gets or sets the path to the directory which contains tesseract data.
            </summary>
      <value>
            The path to the directory which contains tesseract data.
            </value>
      <remarks>
            By default this property points to the folder created by GemBox which contains data for English language.
            You can download the data for other languages at https://www.gemboxsoftware.com/pdf/docs/ocr.html#language-data
            </remarks>
      <seealso href="https://www.gemboxsoftware.com/pdf/docs/ocr.html#language-data" />
    </member>
    <member name="P:GemBox.Pdf.Ocr.OcrReadOptions.PageSize">
      <summary>
        <para>Gets or sets the size of the page to which the content will be loaded.</para>
        <para>If the value is <see langword="null" />, the size of the page will be determined from the image.</para>
        <para>The default value is <see langword="null" />.</para>
      </summary>
      <value>
            The size of the page to which the content will be loaded.
            </value>
      <remarks>
            This property is valid only when reading from an image.
            </remarks>
    </member>
    <member name="P:GemBox.Pdf.Ocr.OcrReadOptions.TextFormatter">
      <summary>
        <para>Gets or sets the action which should be performed on the recognized text.</para>
      </summary>
      <value>
            The action which should be performed on the recognized text.
            </value>
      <remarks>
        <para>This property can be used to change the formatting (font family or color) of the recognized text.</para>
        <para>By default, the <strong>Calibri</strong> font is used and the font size is automatically determined from the recognized text.</para>
      </remarks>
    </member>
    <member name="P:GemBox.Pdf.Ocr.OcrReadOptions.KeepImage">
      <summary>
            Gets or sets a value indicating whether the text should be loaded on top of the image.
            </summary>
      <value>
        <see langword="true" /> if the text should be loaded on top of the image, <see langword="false" /> otherwise.
            </value>
      <remarks>
        <para>If the value is <see langword="true" />, the image will be visible in the resulting document,
            and the transparent (unless overridden by <see cref="P:GemBox.Pdf.Ocr.OcrReadOptions.TextFormatter" />) text will be written on top of it.</para>
        <para>This is useful for creating documents from which the text can be copied while still visually preserving
            the non-text parts of the image and the texts that couldn't be recognized.</para>
        <para>The default value is <see langword="false" />.</para>
      </remarks>
    </member>
    <member name="P:GemBox.Pdf.Ocr.OcrReadOptions.KeepContent">
      <summary>
            Gets or sets a value indicating whether the content of the original document should be preserved.
            </summary>
      <value>
        <see langword="true" /> if the content of the original document should be preserved, <see langword="false" /> otherwise.
            </value>
      <remarks>
        <para>This property controls preservation of all elements except images. To preserve also images, use the <see cref="P:GemBox.Pdf.Ocr.OcrReadOptions.KeepImage" /> property.</para>
        <para>The default value is <see langword="false" />.</para>
      </remarks>
    </member>
    <member name="M:GemBox.Pdf.Ocr.OcrReadOptions.#ctor">
      <summary>
            Initializes a new instance of the <see cref="T:GemBox.Pdf.Ocr.OcrReadOptions" /> class.
            </summary>
    </member>
  </members>
</doc>